package com.yijia.customer.mapper;

import java.util.List;
import com.yijia.customer.domain.CustomerCardSetting;

/**
 * 客户电子会员卡充值优惠设置Mapper接口
 * 
 * @author yijia
 * @date 2021-04-06
 */
public interface CustomerCardSettingMapper 
{
    /**
     * 查询客户电子会员卡充值优惠设置
     * 
     * @param id 客户电子会员卡充值优惠设置ID
     * @return 客户电子会员卡充值优惠设置
     */
    public CustomerCardSetting selectCustomerCardSettingById(Long id);

    /**
     * 查询客户电子会员卡充值优惠设置列表
     * 
     * @param customerCardSetting 客户电子会员卡充值优惠设置
     * @return 客户电子会员卡充值优惠设置集合
     */
    public List<CustomerCardSetting> selectCustomerCardSettingList(CustomerCardSetting customerCardSetting);

    /**
     * 新增客户电子会员卡充值优惠设置
     * 
     * @param customerCardSetting 客户电子会员卡充值优惠设置
     * @return 结果
     */
    public int insertCustomerCardSetting(CustomerCardSetting customerCardSetting);

    /**
     * 修改客户电子会员卡充值优惠设置
     * 
     * @param customerCardSetting 客户电子会员卡充值优惠设置
     * @return 结果
     */
    public int updateCustomerCardSetting(CustomerCardSetting customerCardSetting);

    /**
     * 删除客户电子会员卡充值优惠设置
     * 
     * @param id 客户电子会员卡充值优惠设置ID
     * @return 结果
     */
    public int deleteCustomerCardSettingById(Long id);

    /**
     * 批量删除客户电子会员卡充值优惠设置
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomerCardSettingByIds(Long[] ids);

    public CustomerCardSetting selectCustomerCardSetting(CustomerCardSetting customerCardSetting);

    public  CustomerCardSetting selectCardSetting(CustomerCardSetting customerCardSetting);
}
